## EMBOSS: pepinfo

# Program pepinfo

## Function

Plots simple amino acid properties in parallel

## Description

pepinfo detects and displays various useful metrics about a protein sequence.

It can plot and display the following properties:

- plots of hydrophobicity (using the method of Kyte & Doolittle), of OHM (Sweet & Eisenberg), or of consensus parameters (Eisenberg et al))
- a histogram of the presence of residues with the physico-chemical properties: Tiny, Small, Aliphatic, Aromatic, Non-polar, Polar, Charged, Positive, Negative.

The data are also written out to a data file.

## Usage

Here is a sample session with pepinfo.

    % pepinfo
    Plots simple amino acid properties in parallel
    Input sequence: sw:opsd_human
    Graph type [x11]:
    Output file [pepinfo.out]:

Click here to see the histogram

Click here to see the hydrophobicity plots

## Command line arguments

       Mandatory qualifiers:
      [-inseq]             sequence   Sequence USA
       -graph              xygraph    Graph type
      [-outfile]           outfile    Output file name

       Optional qualifiers:
       -hwindow            integer    Window size for hydropathy averaging
       -aaproperties       string     User defined amino acid properties
       -aahydropathy       string     User defined hydropathy data

       Advanced qualifiers:
       -[no]generalplot    bool       plot histogram of general properties
       -[no]hydropathyplot bool       plot graphs of hydropathy

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-inseq] (Parameter 1) | Sequence USA | Readable sequence | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
[-outfile] (Parameter 2) | Output file name | Output file | pepinfo.out
Optional qualifiers | Allowed values | Default
-hwindow | Window size for hydropathy averaging | Integer 1 or more | 9
-aaproperties | User defined amino acid properties | Any string is accepted | Eaa_properties.dat
-aahydropathy | User defined hydropathy data | Any string is accepted | Eaa_hydropathy.dat
Advanced qualifiers | Allowed values | Default
-[no]generalplot | plot histogram of general properties | Yes/No | Yes
-[no]hydropathyplot | plot graphs of hydropathy | Yes/No | Yes

## Input file format

It reads in a protein sequence.

## Output file format

Graphs are written to the selected graphics device.

The output file contains the coordinates from the graphs.

For the first set of graphs, 9 sets of true/false values are written out. For the second set of graphs, 3 sets of hydrophobicity values are written.

    Printing out Tiny residues in OPSD_HUMAN from position 1 to 348

    Position  Residue                       Result
           1       M                               0
           2       N                               0
           3       G                               1
           4       T                               1
           5       E                               0
           6       G                               1
           7       P                               0
           8       N                               0
           9       F                               0
          10       Y                               0

    ....................

         341       E                               0
         342       T                               1
         343       S                               1
         344       Q                               0
         345       V                               0
         346       A                               1
         347       P                               0
         348       A                               1

    Printing out Small residues in OPSD_HUMAN from position 1 to 348

    Position  Residue                       Result
           1       M                               0
           2       N                               1
           3       G                               1
           4       T                               1
           5       E                               0
           6       G                               1
           7       P                               1
           8       N                               1
           9       F                               0
          10       Y                               0

## Data files

The physico-chemical properties of the residues are read from the EMBOSS data file 'Eaa_properties.dat'. This file can be copied into your current directory and inspected ot altered by using the application 'embossdata -fetch'. Another file can be specified using the qualifier '-aaproperties'.

The hydropathy data of the residues are read from the EMBOSS data file 'Eaa_hydropathy.dat'. This file can be copied into your current directory and inspected ot altered by using the application 'embossdata -fetch'. Another file can be specified using the qualifier '-aahydropathy'.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by EMBOSS environment variable EMBOSS_DATA.

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

None.

## References

1. Kyte J, Doolittle RF A simple method for displaying the hydropathic character of a protein. J Mol Biol 1982 May 5;157(1):105-132
2. Sweet RM, Eisenberg D Correlation of sequence hydrophobicities measures similarity in three-dimensional protein structure. J Mol Biol 1983 Dec 25;171(4):479-488
3. Eisenberg D, Weiss RM, Terwilliger TC. The helical hydrophobic moment: a measure of the amphiphilicity of a helix. Nature 1982 Sep 23;299(5881):371-4

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranseq | Back translate a protein sequence
charge | Protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein sequence
compseq | Counts the composition of dimer/trimer/etc words in a sequence
emowse | Protein identification by mass spectrometry
freak | Residue/base frequency table or plot
iep | Calculates the isoelectric point of a protein
mwfilter | Filter noisy molwts from mass spec output
octanol | Displays protein hydropathy
pepstats | Protein statistics
pepwindow | Displays protein hydropathy
pepwindowall | Displays protein hydropathy of a set of sequences

## Author(s)

This application was written by Mark Faller (mfaller@hgmp.mrc.ac.uk)

## History

Written (1999) - Mark Faller

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments